.shadow{
  box-shadow: $box-shadow;
}
//============================= margin ========================================
.margin-auto{
  margin: auto !important;
}
.m-0{
  margin: 0 !important;
}
.m-1{
  margin: .25rem !important;
}
.m-2{
  margin: .5rem !important;
}
.m-3{
  margin: 1rem !important;
}
.m-4{
  margin: 1.5rem !important;
}
//============= margin-top =============
.mt-0{
  margin-top: 0 !important;
}
.mt-1{
  margin-top: .25rem !important;
}
.mt-2{
  margin-top: .5rem !important;
}
.mt-3{
  margin-top: 1rem !important;
}
.mt-4{
  margin-top: 1.5rem !important;
}
//============= margin-bottom =============
.mb-0{
  margin-bottom: 0 !important;
}
.mb-1{
  margin-bottom: .25rem !important;
}
.mb-2{
  margin-bottom: .5rem !important;
}
.mb-3{
  margin-bottom: 1rem !important;
}
.mb-4{
  margin-bottom: 1.5rem !important;
}
//============= margin-right =============
.me-0{
  margin-right: 0 !important;
}
.me-1{
  margin-right: .25rem !important;
}
.me-2{
  margin-right: .5rem !important;
}
.me-3{
  margin-right: 1rem !important;
}
.me-4{
  margin-right: 1.5rem !important;
}
//============= margin-left =============
.ms-0{
  margin-left: 0 !important;
}
.ms-1{
  margin-left: .25rem !important;
}
.ms-2{
  margin-left: .5rem !important;
}
.ms-3{
  margin-left: 1rem !important;
}
.ms-4{
  margin-left: 1.5rem !important;
}

//============================= padding ========================================
.p-0{
  padding: 0 !important;
}
.p-1{
  padding: .25rem !important;
}
.p-2{
  padding: .5rem !important;
}
.p-3{
  padding: 1rem !important;
}
.p-4{
  padding: 1.5rem !important;
}
//============= padding-top =============
.pt-0{
  padding-top: 0 !important;
}
.pt-1{
  padding-top: .25rem !important;
}
.pt-2{
  padding-top: .5rem !important;
}
.pt-3{
  padding-top: 1rem !important;
}
.pt-4{
  padding-top: 1.5rem !important;
}
//============= padding-bottom =============
.pb-0{
  padding-bottom: 0 !important;
}
.pb-1{
  padding-bottom: .25rem !important;
}
.pb-2{
  padding-bottom: .5rem !important;
}
.pb-3{
  padding-bottom: 1rem !important;
}
.pb-4{
  padding-bottom: 1.5rem !important;
}
//============= padding-right =============
.pe-0{
  padding-right: 0 !important;
}
.pe-1{
  padding-right: .25rem !important;
}
.pe-2{
  padding-right: .5rem !important;
}
.pe-3{
  padding-right: 1rem !important;
}
.pe-4{
  padding-right: 1.5rem !important;
}
//============= padding-left =============
.ps-0{
  padding-left: 0 !important;
}
.ps-1{
  padding-left: .25rem !important;
}
.ps-2{
  padding-left: .5rem !important;
}
.ps-3{
  padding-left: 1rem !important;
}
.ps-4{
  padding-left: 1.5rem !important;
}
//============================= display ========================================
.d-none{
  display: none !important;
}
.d-flex{
  display: flex !important;
}
.d-block{
  display: block !important;
}

.justify-content-start{
  justify-content: start !important;
}
.justify-content-end{
  justify-content: end !important;
}
.justify-content-center{
  justify-content: center !important;
}
.justify-content-between{
  justify-content: space-between !important;
}

.align-items-start{
  align-items: start !important;
}
.align-items-end{
  align-items: end !important;
}
.align-items-center{
  align-items: center !important;
}